image:
  pullPolicy: Always
  pullSecrets:
  - name: magnolia-hamburg
ingress:
  annotations:
    cert-manager.io/cluster-issuer: letsencrypt-prod
    kubernetes.io/ingress.class: nginx
    nginx.ingress.kubernetes.io/proxy-body-size: 512m
  enabled: true
  hosts:
  - host: next.eu-playground.magnolia-platform.com
    paths:
    - instance: public
      path: /
    - instance: author
      path: /author
  tls:
  - hosts:
    - next.eu-playground.magnolia-platform.com
    secretName: next.eu-playground.magnolia-platform.com
magnoliaAuthor:
  activation:
    secret:
      key: activation-secret
      name: activation-key
    useExistingSecret: true
  bootstrap:
    password: superuser!
  contextPath: /author
  db:
    backup:
      enabled: true
      env:
      - name: MGNLBACKUP_CMD
        value: pg_basebackup
      - name: MGNLBACKUP_ARGS
        value: --host localhost --user postgres -D /scratch -Fp
      - name: MGNLBACKUP_USE_PG_WAL
        value: "true"
      - name: MGNLBACKUP_SYNC_DIR
        value: /archive
      - name: MGNLBACKUP_NO_STDOUT
        value: "true"
      - name: MGNLBACKUP_LOGLEVEL
        value: debug
      - name: MGNLBACKUP_BUCKET
        value: eu-playground-backup-bucket
      - name: MGNLBACKUP_PREFIX
        value: next/author
      - name: MGNLBACKUP_HERITAGE
        value: magnolia-backup
      - name: MGNLBACKUP_CRON
        value: 0 3 * * *
      - name: MGNLBACKUP_KEEPDAYS
        value: "10"
      - name: MGNLBACKUP_S3_ENDPOINT
        value: s3.eu-central-1.amazonaws.com
      - name: MGNLBACKUP_S3_REGION
        value: eu-central-1
      - name: MGNLBACKUP_S3_ACCESSKEY
        valueFrom:
          secretKeyRef:
            key: accesskey
            name: s3-backup-key
      - name: MGNLBACKUP_S3_SECRETKEY
        valueFrom:
          secretKeyRef:
            key: secretkey
            name: s3-backup-key
      - name: MGNLBACKUP_TAGS_NODE_NAME
        valueFrom:
          fieldRef:
            fieldPath: spec.nodeName
      - name: MGNLBACKUP_TAGS_NAMESPACE
        valueFrom:
          fieldRef:
            fieldPath: metadata.namespace
      - name: MGNLBACKUP_TAGS_POD_NAME
        valueFrom:
          fieldRef:
            fieldPath: metadata.name
      - name: MGNLBACKUP_TAGS_RELEASE
        value: next
      tag: latest
    contentsync:
      enabled: true
    persistence:
      size: 10Gi
    podAnnotations:
      magnolia.info/is-magnolia: "true"
  env:
  - name: instance
    value: author
  - name: deployment
    value: next
  - name: magnolia.superuser.enabled
    value: "true"
  - name: magnolia.superuser.password
    value: superuser!
  - name: magnolia.bootstrap.license.owner
    value: '[replace with email]'
  - name: magnolia.bootstrap.license.key
    value: '[replace with key]'
  livenessProbe:
    enabled: true
  podAnnotations:
    magnolia.info/is-magnolia: "true"
  redeploy: true
  rescueModeDX: false
  resources:
    limits:
      memory: 4Gi
    requests:
      memory: 4Gi
  restartPolicy: Always
  setenv:
    memory:
      maxPercentage: 80
  webarchive:
    repository: eu.gcr.io/magnolia-hamburg/next22-demo
    tag: 1.0-SNAPSHOT
magnoliaPublic:
  activation:
    secret:
      key: activation-secret
      name: activation-key
    useExistingSecret: true
  bootstrap:
    password: superuser!
  contextPath: /
  db:
    backup:
      enabled: true
      env:
      - name: MGNLBACKUP_CMD
        value: pg_basebackup
      - name: MGNLBACKUP_ARGS
        value: --host localhost --user postgres -D /scratch -Fp
      - name: MGNLBACKUP_USE_PG_WAL
        value: "true"
      - name: MGNLBACKUP_SYNC_DIR
        value: /archive
      - name: MGNLBACKUP_NO_STDOUT
        value: "true"
      - name: MGNLBACKUP_LOGLEVEL
        value: debug
      - name: MGNLBACKUP_BUCKET
        value: eu-playground-backup-bucket
      - name: MGNLBACKUP_PREFIX
        value: next/public
      - name: MGNLBACKUP_HERITAGE
        value: magnolia-backup
      - name: MGNLBACKUP_CRON
        value: 0 3 * * *
      - name: MGNLBACKUP_KEEPDAYS
        value: "10"
      - name: MGNLBACKUP_S3_ENDPOINT
        value: s3.eu-central-1.amazonaws.com
      - name: MGNLBACKUP_S3_REGION
        value: eu-central-1
      - name: MGNLBACKUP_S3_ACCESSKEY
        valueFrom:
          secretKeyRef:
            key: accesskey
            name: s3-backup-key
      - name: MGNLBACKUP_S3_SECRETKEY
        valueFrom:
          secretKeyRef:
            key: secretkey
            name: s3-backup-key
      - name: MGNLBACKUP_TAGS_NODE_NAME
        valueFrom:
          fieldRef:
            fieldPath: spec.nodeName
      - name: MGNLBACKUP_TAGS_NAMESPACE
        valueFrom:
          fieldRef:
            fieldPath: metadata.namespace
      - name: MGNLBACKUP_TAGS_POD_NAME
        valueFrom:
          fieldRef:
            fieldPath: metadata.name
      - name: MGNLBACKUP_TAGS_RELEASE
        value: next
      tag: latest
    contentsync:
      enabled: true
    persistence:
      size: 10Gi
    podAnnotations:
      magnolia.info/is-magnolia: "true"
    restore:
      enabled: false
  env:
  - name: instance
    value: public
  - name: deployment
    value: next
  - name: magnolia.superuser.enabled
    value: "true"
  - name: magnolia.superuser.password
    value: superuser!
  - name: magnolia.bootstrap.license.owner
    value: '[replace with email]'
  - name: magnolia.bootstrap.license.key
    value: '[replace with key]'
  livenessProbe:
    enabled: true
  podAnnotations:
    magnolia.info/is-magnolia: "true"
  replicas: 0
  resources:
    limits:
      memory: 4Gi
    requests:
      memory: 4Gi
  restartPolicy: Always
  setenv:
    memory:
      maxPercentage: 80
  webarchive:
    repository: eu.gcr.io/magnolia-hamburg/next22-demo
    tag: 1.0-SNAPSHOT
